
<h1>MES DERNIERES DEMARCHES

    <i class="bi bi-plus-circle" (click)="openDialog()"></i>

  </h1>
  <!-- <div *ngFor="let item of rows | keyvalue">
    {{item.key}}:{{item.value[]}}
    {{row[item.key]}}

  </div> -->
  <table id="users">
    <tr>
      <th *ngFor = "let column of headers">
        {{column}}
      </th>
    </tr>
   <!-- <tr *ngFor = "let row of rows">
      <td *ngFor = "let column of headers">
        {{getRow(row,column)}}
      </td>

    </tr> -->
    <!-- <tr *ngFor = "let row of rows | async">
      <td *ngFor = "let column of headers">
        {{$any(row)[column]}}  </td>
    </tr> -->
    <tr *ngFor = "let row of rows">
      <td *ngFor = "let column of headers">
        <!-- <div *ngIf="row.date">Content to render when condition is true.</div> -->
        {{$any(row)[column]}}
      </td>

        <td >
           <i id="del" class="bi bi-x-square" (click)="deletRow(row.id)">  </i>
        </td>
    </tr>

  <!-- crtl+slach -->
  </table>
  <i id="ii" class="bi bi-broadcast-pin" (click)="updateData()">Update</i>
